summaryrefslogtreecommitdiff
path: root/examples/hooks/all_chroot_linux-modules.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/hooks/all_chroot_linux-modules.sh')
-rwxr-xr-xexamples/hooks/all_chroot_linux-modules.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/examples/hooks/all_chroot_linux-modules.sh b/examples/hooks/all_chroot_linux-modules.sh
new file mode 100755
index 0000000..159e9bc
--- /dev/null
+++ b/examples/hooks/all_chroot_linux-modules.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# This is a hook for live-helper(7) to add entries to /etc/modules.
+# To enable it, copy or symlink this hook into your config/chroot_local-hooks
+# directory.
+
+MODULES=""
+
+for MODULE in ${MODULES}
+do
+ if ! grep -qs /etc/modules ${MODULE}
+ then
+ echo ${MODULE} >> /etc/modules
+ fi
+done